require 'csv'

module FixtureMacros
  def yml_fixture(name)
    path = File.expand_path("../../fixtures/#{name}.yml", __FILE__)
    YAML::load(File.open(path))
  end

  def redis_fixture(name)
    hash = yml_fixture(name)
    redis = MerryGoRound.redis

    hash.each do |key, value|
      value.each do |k, v|
        redis.hset key, k, v
      end
    end
  end

  def csv_fixture(name)
    path = File.expand_path("../../fixtures/#{name}.csv", __FILE__)
    CSV.foreach(path) do |row|
      MerryGoRound::Aggregation.create(key: row[0], value: row[1], timestamp: row[2], granularity: row[3])
    end
  end
end
